<?php
// เพิ่มข้อมูล พ.ร.บ.
$sql = "SELECT DISTINCT
inx.BILL_DATE, inx.BR_ID, inx.CT_NO, inx.PS_NAME, inx.FEE_STATUS, inx.CROP_NAME, inx.BRAND_NAME, inx.SERIAL_NO, inx.CC_SIZE, inx.FEE_SUMPRICE,
inx.BILL_DATE, inx.BILL_NO, inx.FEE_PRICE, inx.ACT_DATE, inx.PLOCNO, inx.PLCDATE, inx.PLATE, inx.PR_CODE, inx.REF_NO, inx.FEE_SNO,
c.BR_NAME,
d.g_id,
e.ACT_DATE
FROM [CONFIG].[dbo].[ACT_NEWACTS] inx
LEFT OUTER JOIN (SELECT * FROM EHONGDB.dbo.reg_billdata) a on (inx.BILL_NO = a.bill_no)
LEFT OUTER JOIN (SELECT * FROM EHONGDB.dbo.reg_bill) b on (a.bill_no = b.bill_no)
left outer join(SELECT * FROM [EHONGDB].[dbo].[BRANCH]) c on (inx.BR_ID=c.BR_ID)
left outer join(SELECT * FROM [EHONGDB].[dbo].[REG_GWORK]) d on(b.g_id=d.G_ID)
left outer join(SELECT BILL_NO as EBILL_NO,ACT_DATE FROM [CONFIG].[dbo].[ACT_EXPOST]) e on(a.bill_no=e.EBILL_NO)
left outer JOIN(SELECT BILL_NO as sBILL_NO,ACT_STATUS,ACT_USDATE FROM CONFIG.dbo.ACT_STATUSEXPOST) dx on(a.bill_no=dx.sBILL_NO)
left outer JOIN(SELECT FEE_PRICE AS EDITFEE_PRICE, BILL_NO AS EDITBILL_NO,NOTE FROM CONFIG.dbo.ACT_EDIT) edit on(a.bill_no=edit.EDITBILL_NO)
WHERE inx.BILL_DATE BETWEEN '$DMY_1' AND '$DMY_2' and e.ACT_DATE is NULL";
// echo $sql;
$select=$conn->prepare($sql);
$select->execute();
$b10_1 = '10.00';
while($fetch=$select->fetch()){
  $NEWFEE_PRICE = number_format($fetch['FEE_PRICE']-$b10_1,2); // ค่า พรบ-ค่านายหน้า
  $NEWSUMFEE_PRICE += $NEWFEE_PRICE; // รวมค่า พรบ-ค่านายหน้า

  //รวมค่า พรบ
  if ($fetch['CROP_NAME'] == "บริษัท มดแดงลิสซิ่ง จำกัด") {
    $sum_sp1 += str_replace(',','',$NEWFEE_PRICE);
  }
  if ($fetch['CROP_NAME'] == "บริษัท อีฮงฮอนด้า จำกัด") {
    $sum_sp2 += str_replace(',','',$NEWFEE_PRICE);
  }
  if ($fetch['CROP_NAME'] == "บริษัท อีฮงมดแดงยามาฮ่า จำกัด") {
    $sum_sp3 += str_replace(',','',$NEWFEE_PRICE);
  }
  if ($fetch['CROP_NAME'] == "บริษัท อีฮงมดแดงคาวาซากิ จำกัด") {
    $sum_sp4 += str_replace(',','',$NEWFEE_PRICE);
  }
  if ($fetch['CROP_NAME'] == "บริษัท อีฮงพยัคฆ์") {
    $sum_sp5 += str_replace(',','',$NEWFEE_PRICE);
  }
  if ($fetch['CROP_NAME'] == "บริษัท อีฮงมดแดงมอเตอร์ไบค์ จำกัด") {
    $sum_sp6 += str_replace(',','',$NEWFEE_PRICE);
  }
  if ($fetch['CROP_NAME'] == "บริษัท มดแดงมอเตอร์เมค จำกัด") {
    $sum_sp7 += str_replace(',','',$NEWFEE_PRICE);
  }
  if ($fetch['CROP_NAME'] == "บริษัท อีฮงมดแดงมอเตอร์ ลิส จำกัด") {
    $sum_sp8 += str_replace(',','',$NEWFEE_PRICE);
  }
  if ($fetch['CROP_NAME'] == "บริษัท มีสติมอเตอร์ จำกัด") {
    $sum_sp9 += str_replace(',','',$NEWFEE_PRICE);
  }

  // ยกเลิกใบเสร็จ
  if ($fetch['FEE_STATUS'] == 'ยกเลิกใบเสร็จ') {
    if ($fetch['CROP_NAME'] == "บริษัท มดแดงลิสซิ่ง จำกัด") {
      $ic_1 = array($fetch['CROP_NAME']);
      $ic_1z = COUNT($ic_1);
      $ic_1x += $ic_1z;
      // $sum_sp1 += str_replace(',','',$NEWFEE_PRICE);
    }
    if ($fetch['CROP_NAME'] == "บริษัท อีฮงฮอนด้า จำกัด") {
      $ic_2 = array($fetch['CROP_NAME']);
      $ic_2z = COUNT($ic_2);
      $ic_2x += $ic_2z;
      // $sum_sp2 += str_replace(',','',$NEWFEE_PRICE);
    }
    if ($fetch['CROP_NAME'] == "บริษัท อีฮงมดแดงยามาฮ่า จำกัด") {
      $ic_3 = array($fetch['CROP_NAME']);
      $ic_3z = COUNT($ic_3);
      $ic_3x += $ic_3z;
      // $sum_sp3 += str_replace(',','',$NEWFEE_PRICE);
    }
    if ($fetch['CROP_NAME'] == "บริษัท อีฮงมดแดงคาวาซากิ จำกัด") {
      $ic_4 = array($fetch['CROP_NAME']);
      $ic_4z = COUNT($ic_4);
      $ic_4x += $ic_4z;
      // $sum_sp4 += str_replace(',','',$NEWFEE_PRICE);
    }
    if ($fetch['CROP_NAME'] == "บริษัท อีฮงพยัคฆ์") {
      $ic_5 = array($fetch['CROP_NAME']);
      $ic_5z = COUNT($ic_5);
      $ic_5x += $ic_5z;
      // $sum_sp5 += str_replace(',','',$NEWFEE_PRICE);
    }
    if ($fetch['CROP_NAME'] == "บริษัท อีฮงมดแดงมอเตอร์ไบค์ จำกัด") {
      $ic_6 = array($fetch['CROP_NAME']);
      $ic_6z = COUNT($ic_6);
      $ic_6x += $ic_6z;
      // $sum_sp6 += str_replace(',','',$NEWFEE_PRICE);
    }
    if ($fetch['CROP_NAME'] == "บริษัท มดแดงมอเตอร์เมค จำกัด") {
      $ic_7 = array($fetch['CROP_NAME']);
      $ic_7z = COUNT($ic_7);
      $ic_7x += $ic_7z;
      // $sum_sp7 += str_replace(',','',$NEWFEE_PRICE);
    }
    if ($fetch['CROP_NAME'] == "บริษัท อีฮงมดแดงมอเตอร์ ลิส จำกัด") {
      $ic_8 = array($fetch['CROP_NAME']);
      $ic_8z = COUNT($ic_8);
      $ic_8x += $ic_8z;
      // $sum_sp8 += str_replace(',','',$NEWFEE_PRICE);
    }
    if ($fetch['CROP_NAME'] == "บริษัท มีสติมอเตอร์ จำกัด") {
      $ic_9 = array($fetch['CROP_NAME']);
      $ic_9z = COUNT($ic_9);
      $ic_9x += $ic_9z;
      // $sum_sp9 += str_replace(',','',$NEWFEE_PRICE);
    }
  }

  //งานตีกลับจากขนส่ง(ซื้อ พ.ร.บ. เพิ่ม)
  if ($fetch['FEE_STATUS'] == 'งานตีกลับจากขนส่ง(ซื้อ พ.ร.บ. เพิ่ม)') {
    if ($fetch['CROP_NAME'] == "บริษัท มดแดงลิสซิ่ง จำกัด") {
      $ic2_1 = array($fetch['CROP_NAME']);
      $ic2_1z = COUNT($ic2_1);
      $ic2_1x += $ic2_1z;
    }
    if ($fetch['CROP_NAME'] == "บริษัท อีฮงฮอนด้า จำกัด") {
      $ic2_2 = array($fetch['CROP_NAME']);
      $ic2_2z = COUNT($ic2_2);
      $ic2_2x += $ic2_2z;
    }
    if ($fetch['CROP_NAME'] == "บริษัท อีฮงมดแดงยามาฮ่า จำกัด") {
      $ic2_3 = array($fetch['CROP_NAME']);
      $ic2_3z = COUNT($ic2_3);
      $ic2_3x += $ic2_3z;
    }
    if ($fetch['CROP_NAME'] == "บริษัท อีฮงมดแดงคาวาซากิ จำกัด") {
      $ic2_4 = array($fetch['CROP_NAME']);
      $ic2_4z = COUNT($ic2_4);
      $ic2_4x += $ic2_4z;
    }
    if ($fetch['CROP_NAME'] == "บริษัท อีฮงพยัคฆ์") {
      $ic2_5 = array($fetch['CROP_NAME']);
      $ic2_5z = COUNT($ic2_5);
      $ic2_5x += $ic2_5z;
    }
    if ($fetch['CROP_NAME'] == "บริษัท อีฮงมดแดงมอเตอร์ไบค์ จำกัด") {
      $ic2_6 = array($fetch['CROP_NAME']);
      $ic2_6z = COUNT($ic2_6);
      $ic2_6x += $ic2_6z;
    }
    if ($fetch['CROP_NAME'] == "บริษัท มดแดงมอเตอร์เมค จำกัด") {
      $ic2_7 = array($fetch['CROP_NAME']);
      $ic2_7z = COUNT($ic2_7);
      $ic2_7x += $ic2_7z;
    }
    if ($fetch['CROP_NAME'] == "บริษัท อีฮงมดแดงมอเตอร์ ลิส จำกัด") {
      $ic2_8 = array($fetch['CROP_NAME']);
      $ic2_8z = COUNT($ic2_8);
      $ic2_8x += $ic2_8z;
    }
    if ($fetch['CROP_NAME'] == "บริษัท มีสติมอเตอร์ จำกัด") {
      $ic2_9 = array($fetch['CROP_NAME']);
      $ic2_9z = COUNT($ic2_9);
      $ic2_9x += $ic2_9z;
    }
  }

  // รถประมูล
  if ($fetch['FEE_STATUS'] == 'รถประมูล') {
    if ($fetch['CROP_NAME'] == "บริษัท มดแดงลิสซิ่ง จำกัด") {
      $ic3_1 = array($fetch['CROP_NAME']);
      $ic3_1z = COUNT($ic3_1);
      $ic3_1x += $ic3_1z;
    }
    if ($fetch['CROP_NAME'] == "บริษัท อีฮงฮอนด้า จำกัด") {
      $ic3_2 = array($fetch['CROP_NAME']);
      $ic3_2z = COUNT($ic3_2);
      $ic3_2x += $ic3_2z;
    }
    if ($fetch['CROP_NAME'] == "บริษัท อีฮงมดแดงยามาฮ่า จำกัด") {
      $ic3_3 = array($fetch['CROP_NAME']);
      $ic3_3z = COUNT($ic3_3);
      $ic3_3x += $ic3_3z;
    }
    if ($fetch['CROP_NAME'] == "บริษัท อีฮงมดแดงคาวาซากิ จำกัด") {
      $ic3_4 = array($fetch['CROP_NAME']);
      $ic3_4z = COUNT($ic3_4);
      $ic3_4x += $ic3_4z;
    }
    if ($fetch['CROP_NAME'] == "บริษัท อีฮงพยัคฆ์") {
      $ic3_5 = array($fetch['CROP_NAME']);
      $ic3_5z = COUNT($ic3_5);
      $ic3_5x += $ic3_5z;
    }
    if ($fetch['CROP_NAME'] == "บริษัท อีฮงมดแดงมอเตอร์ไบค์ จำกัด") {
      $ic3_6 = array($fetch['CROP_NAME']);
      $ic3_6z = COUNT($ic3_6);
      $ic3_6x += $ic3_6z;
    }
    if ($fetch['CROP_NAME'] == "บริษัท มดแดงมอเตอร์เมค จำกัด") {
      $ic3_7 = array($fetch['CROP_NAME']);
      $ic3_7z = COUNT($ic3_7);
      $ic3_7x += $ic3_7z;
    }
    if ($fetch['CROP_NAME'] == "บริษัท อีฮงมดแดงมอเตอร์ ลิส จำกัด") {
      $ic3_8 = array($fetch['CROP_NAME']);
      $ic3_8z = COUNT($ic3_8);
      $ic3_8x += $ic3_8z;
    }
    if ($fetch['CROP_NAME'] == "บริษัท มีสติมอเตอร์ จำกัด") {
      $ic3_9 = array($fetch['CROP_NAME']);
      $ic3_9z = COUNT($ic3_9);
      $ic3_9x += $ic3_9z;
    }
  }
  $sumbx += $b10_1;
}
$sum_icx = $ic_1x+$ic_2x+$ic_3x+$ic_4x+$ic_5x+$ic_6x+$ic_7x+$ic_8x+$ic_9x;
$sum_icx2 = $ic2_1x+$ic2_2x+$ic2_3x+$ic2_4x+$ic2_5x+$ic2_6x+$ic2_7x+$ic2_8x+$ic2_9x;
$sum_icx3 = $ic3_1x+$ic3_2x+$ic3_3x+$ic3_4x+$ic3_5x+$ic3_6x+$ic3_7x+$ic3_8x+$ic3_9x;
// echo $sum_sp6;
?>

<!-- รถตีเทิร์น -->
<?php
    $sql_tx = "SELECT tx.SERIAL_NO,
    a.bill_no as xbill_no,a.bill_date as xbill_date,a.rectime as xrectime,
    a.FEE_PRICE, b.CROP_NAME
    FROM CONFIG.dbo.ACT_TURNX tx
    LEFT OUTER JOIN (SELECT * FROM EHONGDB.dbo.reg_billdata) a on (tx.SERIAL_NO = a.SERIAL_NO)
    LEFT OUTER JOIN (SELECT * FROM EHONGDB.dbo.reg_bill) b on (a.bill_no = b.bill_no)
    left outer join(SELECT * FROM [EHONGDB].[dbo].[BRANCH]) c on (a.BR_ID=c.BR_ID)
    left outer join(SELECT * FROM [EHONGDB].[dbo].[REG_GWORK]) d on(b.g_id=d.G_ID)
    left outer join(SELECT BILL_NO as EBILL_NO,ACT_DATE FROM [CONFIG].[dbo].[ACT_EXPOST]) e on(a.bill_no=e.EBILL_NO)
    left outer JOIN(SELECT BILL_NO as sBILL_NO,ACT_STATUS,ACT_USDATE FROM CONFIG.dbo.ACT_STATUSEXPOST) dx on(a.bill_no=dx.sBILL_NO)
    left outer JOIN(SELECT FEE_PRICE AS EDITFEE_PRICE, BILL_NO AS EDITBILL_NO,NOTE FROM CONFIG.dbo.ACT_EDIT) edit on(a.bill_no=edit.EDITBILL_NO)
    WHERE a.status<>'V' and fee_no='11' and tx.BILL_DATE BETWEEN '$DMY_1 00:00:00.000' AND '$DMY_2 00:00:00.000' and e.ACT_DATE is NULL
    order by a.rectime,a.br_id,a.bill_date";
    // echo $sql_tx;
    $select_tx=$conn->prepare($sql_tx);
    $select_tx->execute();
    $b10_tx = '10.00';
    while($fetch=$select_tx->fetch()){
      $NEWFEE_PRICE_TX = number_format($fetch['FEE_PRICE']-$b10_1,2); // ค่า พรบ-ค่านายหน้า
      $NEWSUMFEE_PRICE_TX += $NEWFEE_PRICE_TX; // รวมค่า พรบ-ค่านายหน้า

      if ($fetch['CROP_NAME'] == "บริษัท มดแดงลิสซิ่ง จำกัด") {
        $ictx_1 = array($fetch['CROP_NAME']);
        $ictx_1z = COUNT($ictx_1);
        $ictx_1x += $ictx_1z;
        $sum_tx1 += str_replace(',','',$NEWFEE_PRICE_TX);
      }
      if ($fetch['CROP_NAME'] == "บริษัท อีฮงฮอนด้า จำกัด") {
        $ictx_2 = array($fetch['CROP_NAME']);
        $ictx_2z = COUNT($ictx_2);
        $ictx_2x += $ictx_2z;
        $sum_tx2 += str_replace(',','',$NEWFEE_PRICE_TX);
      }
      if ($fetch['CROP_NAME'] == "บริษัท อีฮงมดแดงยามาฮ่า จำกัด") {
        $ictx_3 = array($fetch['CROP_NAME']);
        $ictx_3z = COUNT($ictx_3);
        $ictx_3x += $ictx_3z;
        $sum_tx3 += str_replace(',','',$NEWFEE_PRICE_TX);
      }
      if ($fetch['CROP_NAME'] == "บริษัท อีฮงมดแดงคาวาซากิ จำกัด") {
        $ictx_4 = array($fetch['CROP_NAME']);
        $ictx_4z = COUNT($ictx_4);
        $ictx_4x += $ictx_4z;
        $sum_tx4 += str_replace(',','',$NEWFEE_PRICE_TX);
      }
      if ($fetch['CROP_NAME'] == "บริษัท อีฮงพยัคฆ์") {
        $ictx_5 = array($fetch['CROP_NAME']);
        $ictx_5z = COUNT($ictx_5);
        $ictx_5x += $ictx_5z;
        $sum_tx5 += str_replace(',','',$NEWFEE_PRICE_TX);
      }
      if ($fetch['CROP_NAME'] == "บริษัท อีฮงมดแดงมอเตอร์ไบค์ จำกัด") {
        $ictx_6 = array($fetch['CROP_NAME']);
        $ictx_6z = COUNT($ictx_6);
        $ictx_6x += $ictx_6z;
        $sum_tx6 += str_replace(',','',$NEWFEE_PRICE_TX);
      }
      if ($fetch['CROP_NAME'] == "บริษัท มดแดงมอเตอร์เมค จำกัด") {
        $ictx_7 = array($fetch['CROP_NAME']);
        $ictx_7z = COUNT($ictx_7);
        $ictx_7x += $ictx_7z;
        $sum_tx7 += str_replace(',','',$NEWFEE_PRICE_TX);
      }
      if ($fetch['CROP_NAME'] == "บริษัท อีฮงมดแดงมอเตอร์ ลิส จำกัด") {
        $ictx_8 = array($fetch['CROP_NAME']);
        $ictx_8z = COUNT($ictx_8);
        $ictx_8x += $ictx_8z;
        $sum_tx8 += str_replace(',','',$NEWFEE_PRICE_TX);
      }
      if ($fetch['CROP_NAME'] == "บริษัท มีสติมอเตอร์ จำกัด") {
        $ictx_9 = array($fetch['CROP_NAME']);
        $ictx_9z = COUNT($ictx_9);
        $ictx_9x += $ictx_9z;
        $sum_tx9 += str_replace(',','',$NEWFEE_PRICE_TX);
      }
      $sum_btx += $b10_tx;
    }
    $sum_icxtx = $ictx_1x+$ictx_2x+$ictx_3x+$ictx_4x+$ictx_5x+$ictx_6x+$ictx_7x+$ictx_8x+$ictx_9x;
?>
